/*AG Grid styles*/

.ag-theme-material.ag-custom-styles {
    width: 100%;
    height: calc(100vh - 60px);

    .ag-body-viewport .ag-center-cols-clipper {
        max-width: calc(100% - 60px);
        margin: 0 auto;
    }

    .ag-header-viewport {
        max-width: calc(100% - 60px);
        margin: 0 auto;
    }

    .ag-body-horizontal-scroll {
        max-width: calc(100% - 60px);
        margin: 0 auto;
    }
}

.ag-cell {
    line-height: 47px;
    color: #172B4D;

    &.ag-cell-focus {
        outline: none;
        border: 0 none;
    }
}

.ag-theme-material .ag-header-cell,
.ag-theme-material .ag-header-group-cell,
.ag-header-cell {
    line-height: 36px;
    color: #7F8B9D;
    font-size: 13px;
}

.ag-row {
    border-bottom: 1px solid #E1E3EA;
    cursor: pointer;

    &:hover {
        background: #E1E3EA;
    }
}

.ag-header-row {
    border-bottom: 1px solid #E1E3EA;
}

.ag-paging-panel.ag-unselectable {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 30px;
    height: 48px;
}

.ag-paging-page-summary-panel {
    padding-left: 4px;
}

button.ag-paging-button {
    margin-left: 4px;
    margin-right: 4px;
}

/*Ag grid styles end*/